ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Cmm.Parser

# Documentation

parseCmmFile :: CmmParserConfig -> Module -> HomeUnit -> FilePath -> IO (Messages PsMessage, Messages PsMessage, Maybe (CmmGroup, [InfoProvEnt])) Source #

data CmmParserConfig Source #

Constructors

CmmParserConfig |

Fields

- cmmpParserOpts :: !ParserOpts
- cmmpPDConfig :: !PDConfig
- cmmpStgToCmmConfig :: !StgToCmmConfig